﻿@using eBanking.ViewModels
@model UplatnicaRacunViewModel

@{
    ViewBag.Title = "Search";
}

<h2>Search</h2>

<form method="post" action="Search">
    <p>
        <label>pretraga po</label>
        <input list='naziv' name='Naziv' required>
        <input type="text" name="Kriterijum" placeholder="unesite kriterijum pretrage" />
        <datalist id='naziv'>
            <option value='nosilac racuna'></option>
            <option value='broj racuna'></option>
            <option value='aktivan'></option>
        </datalist>
        <input type="submit" value="Search" />
    </p>
</form>



@if (Model.Racun == null)
{
    <p></p>
}
else if (Model.Racun != null)
{
    <table class="table">
        <tr>
            <th>Broj računa</th>
            <th>Nosilac računa</th>
            <th>Ukupno</th>
            <th> Online</th>
            <th>Aktivan</th>
            <th style="text-align:center" colspan="4"></th>
        </tr>
        @{
            string aktivan = "";
            string online = "";
            if (Model.Racun.OnlineBanking == true) { online = "Da"; }
            else { online = "Ne"; }
            if (Model.Racun.Aktivan == true) { aktivan = "Da"; }
            else { aktivan = "Ne"; }
            <tr>
                <td>@Model.Racun.Broj</td>
                <td>@Model.Racun.Nosilac</td>
                <td>@Model.Racun.Ukupno</td>
                <td>@online</td>
                <td>@aktivan</td>
            </tr>
        }

    </table>
}
@if (@Model.RacuniAktivni != null)
{
    <table class="table">
        <tr>
            <th>Broj računa</th>
            <th>Nosilac računa</th>
            <th>Ukupno</th>
            <th> Online</th>
            <th>Aktivan</th>
            <th style="text-align:center" colspan="4"></th>
        </tr>
        @foreach (var item in Model.RacuniAktivni)
        {
            string aktivan = "";
            string online = "";
            if (item.OnlineBanking == true) { online = "Da"; }
            else { online = "Ne"; }
            if (item.Aktivan == true) { aktivan = "Da"; }
            else { aktivan = "Ne"; }
            <tr>
                <td>@item.Broj</td>
                <td>@item.Nosilac</td>
                <td>@item.Ukupno</td>
                <td>@online</td>
                <td>@aktivan</td>
            </tr>
        }

    </table>
}
@if (@Model.RacuniAktivni == null)
{
    <p></p>
}
